/*
   Copyright (C) 2003 Clozure Associates
   This file is part of OpenMCL.  

   OpenMCL is licensed under the terms of the Lisp Lesser GNU Public
   License , known as the LLGPL and distributed with OpenMCL as the
   file "LICENSE".  The LLGPL consists of a preamble and the LGPL,
   which is distributed with OpenMCL as the file "LGPL".  Where these
   conflict, the preamble takes precedence.  

   OpenMCL is referenced in the preamble as the "LIBRARY."

   The LLGPL is also available online at
   http://opensource.franz.com/preamble.html

  $Log: altappservices.h,v $
  Revision 1.2  2003/11/17 07:30:39  gb
  update copyright/license

  Revision 1.1.1.1  2003/11/17 07:14:42  gb
  initial checkin

*/


/* Return a file descriptor that can be used for reading from and
   writing to an alternate "console" device.  The argument specifies
   which "backend" to use.
*/

int installAltConsole(unsigned backend);

/*
  There's only one "backend", which happens to be a little
  Cocoa document-based application.  There might be more
  someday (e.g., network-based, etc.)
*/

#define ALT_CONSOLE_BACKEND_GUI 0
#define ALT_CONSOLE_BACKEND_DEFAULT ALT_CONSOLE_BACKEND_GUI
